# Get Job

Get a Job by name.

### Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name**  string  Required
- **transform_name**  string  Required
- **job_name**  string  Required

## Response

### 200 A single Job.

- **id**  string  Optional  
  Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

- **name**  string  Optional  
  1-260 characters pattern: `^[^\\'<>&:\/?*+]+$`  
  The name of the resource.

- **properties**  object  Required  
  Properties of the job

#### Properties Detail

- **correlationData**  map from strings to any  Optional  
  Customer provided key, value pairs that will be returned in Job and JobOutput state events.

- **created** string  Optional  
  format: date-time  
  The creation date and time of the Job. Set by the system.

- **description**  string or null  Optional  
  <=1024 characters  
  The description of the Job.

- **endTime**  string or null  Optional  
  The UTC date and time at which this Job finished processing.

- **input**  object  Required  
  The inputs of the Job.

#### Input Variants

1. **JobInputAsset**  object  
   - **@odata.type**  string  Required  
   - **assetName**  string  Required  
     The name of the input Asset.
   - **end**  object  Optional  
     Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.

2. **JobInputHttp**  object  
   - **@odata.type**  string  Required  
   - **baseUri**  string  Optional  
     Base URI for HTTPS job input.
   - **files**  list of strings  Required  
     List of files.

### Error Responses

- **400 Bad Request**
  - **error**  object  Required  
    Pertinent information about the error

- **401 Unauthorized**
  - **error**  object  Required  
    Pertinent information about the error

- **403 Forbidden**
  - **error**  object  Required  
    Pertinent information about the error

- **404 Not Found**
  - **error**  object  Required  
    Pertinent information about the error

- **429 Too Many Requests**
  - **error**  object  Required  
    Pertinent information about the error

- **500 Internal Server Error**
  - **error**  object  Required  
    Pertinent information about the error

### Additional Notes

The fields marked as `Required` are mandatory for the response schema and should be provided accordingly for API consumption.
